Linux XFS filesystem development
 help / color / mirror / Atom feed
From: "Darrick J. Wong" <djwong@kernel.org>
To: Zorro Lang <zlang@kernel.org>
Cc: fstests <fstests@vger.kernel.org>, xfs <linux-xfs@vger.kernel.org>
Subject: [PATCH] generic/805: skip this test if we can't mount the filesystem
Date: Wed, 23 Sep 2026 23:02:45 -0700	[thread overview]
Message-ID: <20260924060245.GE6253@frogsfrogsfrogs> (raw)

From: Darrick J. Wong <djwong@kernel.org>

This test doesn't work on filesystems with external devices (e.g. xfs
realtime) because the SCRATCH_DEV gets formatted with regular scratch fs
options but the filesystem is mounted with a bare _mount call, not
_scratch_mount.  Since SCRATCH_DEV is not the dm-linear device created
earlier in the test, we can't really use that either.

In any case, if we can't mount the filesystem immediately after
formatting it, then we're not satisfying a test precondition.  Change
the _fail to _notrun.

While we're at it, fix the cleanup function so that unmount failures
don't pollute the output.

Signed-off-by: "Darrick J. Wong" <djwong@kernel.org>
---
 tests/generic/805 |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/tests/generic/805 b/tests/generic/805
index ae498f5c669808..403d36d383a973 100755
--- a/tests/generic/805
+++ b/tests/generic/805
@@ -25,7 +25,7 @@ _cleanup()
 {
 	xfs_freeze -u $SCRATCH_MNT 2>/dev/null
 	$DMSETUP_PROG resume $lvdev >> $seqres.full 2>&1
-	_unmount -q $SCRATCH_MNT
+	_unmount -q $SCRATCH_MNT &>> $seqres.full
 	_dmsetup_remove $node
 	cd /
 	rm -f $tmp.*
@@ -47,7 +47,7 @@ table="0 $size_in_sector linear $SCRATCH_DEV 0"
 _dmsetup_create $node --table "$table" || \
 	_fail "failed to create dm device"
 
-_mount $lvdev $SCRATCH_MNT || _fail "failed to mount dm device"
+_mount $lvdev $SCRATCH_MNT || _notrun "failed to mount dm device"
 
 # Freeze the filesystem from userspace first, then nest a block device
 # initiated freeze/thaw cycle inside it via dm suspend/resume.

             reply	other threads:[~2026-09-24  6:02 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2026-09-24  6:02 Darrick J. Wong [this message]
2026-09-24 11:38 ` [PATCH] generic/805: skip this test if we can't mount the filesystem Andrey Albershteyn
2026-09-25  4:58 ` Christoph Hellwig
2026-09-25 14:49   ` Darrick J. Wong

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20260924060245.GE6253@frogsfrogsfrogs \
    --to=djwong@kernel.org \
    --cc=fstests@vger.kernel.org \
    --cc=linux-xfs@vger.kernel.org \
    --cc=zlang@kernel.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox